$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-6dcd482dd09e7fd99acf743f9dbe8a07e5e02057/rpcs3-v0.0.13-11187-6dcd482d_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '8f1ff8230aca0ae872823a952fa579b053a8f0380484a9ac7c224e3ff55cdce1'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
